import QtQuick 2.0
import org.shotcut.qml 1.0

Metadata {
    type: Metadata.Filter
	objectName: 'Sniper_Scope'
    name: qsTr("SniperScope (HTML)")
    mlt_service: "webvfx"
    qml: "ui.qml"
    keyframes {
        allowAnimateIn: true
        allowAnimateOut: true
        simpleProperties: ['x_pos', 'y_pos', 'Diameter', 'Magnification']
        parameters: [
            Parameter {
                name: qsTr('X_pos')
                property: 'x_pos'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 1
            },
            Parameter {
                name: qsTr('Y_pos')
                property: 'y_pos'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 1
            },
            Parameter {
                name: qsTr('Diameter')
                property: 'Diameter'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 1
            },
            Parameter {
                name: qsTr('Magnification')
				property: 'magnification'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 1
            }
        ]
    }}
